---
title: 3 Ways CI/CD helps your team
author: Rebecca Dodd
author_twitter:
author_gitlab: rebecca
categories: insights
image_title: '/images/blogimages/ways-ci-cd-helps.jpg'
description: CI/CD frees up your team to spend their time on developing features customers want.
cta_button_text: 'Check out our <strong> Continuous Everything</strong> webcast!'
cta_button_link: 'https://page.gitlab.com/20170301_continuouseverything.html'
---

[Continuous integration](/product/continuous-integration/) and delivery are at the core of modern software development, enabling businesses to ship new, working features earlier and more often. CI is also becoming an [integral part of everyday work](/blog/2017/02/22/ci-integral-to-everyday-work/) for developers, saving them time and reducing frustrations.

<!-- more -->

## CI/CD saves time

One of the major advantages of CI is that it automates manual processes that are often a tedious and time-consuming part of a developer’s job. There’s less manual debugging to contend with, and they no longer have to worry about building their changes with a variety of different operating systems or other environments. The CI system can take care of all that, and leverage its ability to integrate with tools like Docker and Kubernetes to take full advantage of the power of the cloud without having to run on a development machine. Best of all, as this work is automated, it frees up team members to move onto other tasks while the build and tests complete.

## CI/CD saves money

With a CI tool, you can also take advantage of the fact that it has significantly more flexibility and power available. For example, it can run tests across multiple operating systems, multiple browsers, and in general do more work than is practical on a developer’s machine. This allows the team to find issues more quickly and earlier in the cycle, where it is cheap, instead of backtracking later. If you have to wait until late in the development to find out a change fails on a specific operating system or browser, that can become expensive and could jeopardize the release. By leveraging CI you become proactive rather than reactive, ultimately saving money.

## CI/CD minimizes downtime

By integrating changes frequently and ensuring new code is ready to be shipped at any time, significant downtime while you deploy updates becomes a thing of the past. This is not only less stressful for developers and managers, but results in less frustration for your users due to downtime while deployment completes.

To learn more about CI/CD and how it can help you release earlier and more often, watch our webcast, "[From Continuous Integration to Continuous Everything](https://page.gitlab.com/20170301_continuouseverything.html)" on demand.
{: .alert .alert-gitlab-orange}

“[Spiral](https://www.flickr.com/photos/xmex/32568053662/)” by [XoMEox](https://www.flickr.com/photos/xmex/) is licensed under [CC BY 2.0](https://creativecommons.org/licenses/by/2.0/)
{: .note}
